class AttachmentModel {
  int? attachmentID;
  String? pFILECONTENTTYPE;
  String? pFILEDATA;
  String? pFILENAME;
  int? pTRANSACTIONID;

  AttachmentModel({this.attachmentID, this.pFILECONTENTTYPE, this.pFILEDATA, this.pFILENAME, this.pTRANSACTIONID});

  AttachmentModel.fromJson(Map<String, dynamic> json) {
    attachmentID = json['AttachmentID'];
    pFILECONTENTTYPE = json['P_FILE_CONTENT_TYPE'];
    pFILEDATA = json['P_FILE_DATA'];
    pFILENAME = json['P_FILE_NAME'];
    pTRANSACTIONID = json['P_TRANSACTION_ID'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> data = new Map<String, dynamic>();
    data['AttachmentID'] = this.attachmentID;
    data['P_FILE_CONTENT_TYPE'] = this.pFILECONTENTTYPE;
    data['P_FILE_DATA'] = this.pFILEDATA;
    data['P_FILE_NAME'] = this.pFILENAME;
    data['P_TRANSACTION_ID'] = this.pTRANSACTIONID;
    return data;
  }
}
